Page MenuHomePhabricator

[X86] Fix tile spill merge issue.
ClosedPublic

Authored by LuoYuanke on Jan 15 2021, 6:00 AM.

Details

Summary

This is a additional bug fix for c5be0e0cc0. The distance for
the spill instructions is wrong in previous patch.

Diff Detail

Event Timeline

LuoYuanke created this revision.Jan 15 2021, 6:00 AM
LuoYuanke requested review of this revision.Jan 15 2021, 6:00 AM
Herald added a project: Restricted Project. · View Herald TranscriptJan 15 2021, 6:00 AM
pengfei added inline comments.Jan 17 2021, 5:21 PM
llvm/lib/CodeGen/InlineSpiller.cpp
434

Does it mean MII == MIS.begin()?

pengfei added inline comments.Jan 17 2021, 5:34 PM
llvm/test/CodeGen/X86/AMX/amx-spill-merge.ll
141–145

You can use nounwind to ignore these directives.

LuoYuanke added inline comments.Jan 18 2021, 12:40 AM
llvm/test/CodeGen/X86/AMX/amx-spill-merge.ll
141–145

Sounds good. Thank you! I'll submit another patch to fix all other test cases.

Address Pengfei's comments.

pengfei accepted this revision.Jan 18 2021, 4:38 AM

LGTM.

This revision is now accepted and ready to land.Jan 18 2021, 4:38 AM
This revision was automatically updated to reflect the committed changes.